﻿using Microsoft.EntityFrameworkCore;
using WordXmlMapSample.Data.Entities;

namespace WordXmlMapSample.Data
{
    public class ApplicationDbContext : DbContext
    {
        private readonly string _databasePath;

        public DbSet<Customer> Customers { get; set; }
        public DbSet<WordTemplate> WordTemplates { get; set; }

        public ApplicationDbContext()
        {
            _databasePath = Path.Join(
                Environment.GetFolderPath(
                    Environment.SpecialFolder.ApplicationData),
                "wordxmlmapsample.db");
        }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseSqlite($"Data Source={_databasePath}");
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.ApplyConfigurationsFromAssembly(typeof(ApplicationDbContext).Assembly);
        }
    }
}
