﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using WordXmlMapSample.Data.Entities;

namespace WordXmlMapSample.Data.Configurations
{
    public class CustomerConfiguration : IEntityTypeConfiguration<Customer>
    {
        public void Configure(EntityTypeBuilder<Customer> builder)
        {
            builder.HasKey(k => k.Id);

            builder.Property(p => p.Name)
                .HasMaxLength(100);

            builder.Property(p => p.Address)
                .HasMaxLength(100);

            builder.Property(p => p.City)
                .HasMaxLength(80);

            builder.Property(p => p.PostCode)
                .HasMaxLength(10);
        }
    }
}
